<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Strona rejestracji</title>
    <meta charset="UTF-8">
    <link href="css/main2.css" rel="stylesheet"/>
</head>

<body>

<header th:insert="~{header :: copy2}"></header>

<section class="registration_form">
    <form action="/addNewUser" method="post" th:object="${user}">
        <table>
            <tr>
                <td><input th:field="*{firstName}" th:type="text" th:placeholder="imię" th:id="firstName"
                           th:name="firstName" minlength="3"
                           maxlength="30" required pattern="[a-zA-Z]*"></td>
                <td>Imię</td>
                <td th:if="${#fields.hasErrors('firstName')}">Niepoprawne imię</td>
            </tr>
            <tr>
                <td><input th:field="*{secondName}" th:type="text" th:placeholder="nazwisko" th:id="secondName"
                           th:name="secondName"
                           minlength="3" maxlength="30" required pattern="[a-zA-Z]*"></td>
                <td>Nazwisko</td>
                <td th:if="${#fields.hasErrors('secondName')}">Niepoprawne nazwisko</td>
            </tr>
            <tr>
                <td><input th:field="*{email}" th:type="email" th:placeholder="email" th:id="email" th:name="email"
                           pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,3}$"></td>
                <td>Email</td>
                <td th:if="${#fields.hasErrors('email')}">Wprowadź adres email</td>
            </tr>
            <tr>
                <td><input type="password" th:field="*{password}" th:placeholder="hasło" th:id="password"
                           th:name="password"></td>
                <td>Hasło</td>
                <td th:if="${#fields.hasErrors('password')}">Wprowadź hasło</td>
            </tr>
            <tr>
                <td><input type="number" th:field="*{phoneNumber}" th:placeholder="numer_telefonu" th:id="phoneNumber"
                           th:name="phoneNumber"
                           th:min="1000000" th:maxlength="999999999"></td>
                <td>Numer Telefonu</td>
                <td th:if="${#fields.hasErrors('phoneNumber')}">Wprowadź numer telefonu</td>
            </tr>
            <tr>
                <td><input type="number" th:field="*{PESEL}" th:placeholder="PESEL" th:id="PESEL" th:name="PESEL"
                           min="10000000000"
                           max="99999999999"></td>
                <td>Numer PESEL</td>
                <td th:if="${#fields.hasErrors('PESEL')}">Wprowadź numer PESEL</td>
            </tr>
            <tr>
                <td><input th:type="reset" value="Wyczyść"></td>
                <td></td>
            </tr>
            <tr>
                <td>
                    <button type="submit" th:text="Zarejestruj"></button>
                </td>
                <td></td>
            </tr>
        </table>
    </form>
</section>

<footer th:insert="~{footer :: copy}"></footer>


</body>

</html>